/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.util;

import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Architecture;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.BranchQuantity;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Comment;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Component;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.ComponentInstanciation;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.ConcurrentialStatement;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Constant;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.DesignUnit;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Element;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.ElseStatement;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Entity;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Equation;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Expression;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.ForStatement;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Function;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Generic;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.GenericMap;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.IfThenStatement;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Library;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.LibraryForVhdlAms;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Map;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Nature;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Parameter;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Port;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.PortMap;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.ProcessVariable;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Property;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Quantity;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.QuantityPort;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.SequentialStatement;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Signal;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Statement;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Statements;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Terminal;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Type;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Use;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.VAModel;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Variable;
import fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.VhdlamsPackage;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.VhdlamsPackage
 * @generated
 */
public class VhdlamsAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static VhdlamsPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VhdlamsAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = VhdlamsPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected VhdlamsSwitch<Adapter> modelSwitch =
		new VhdlamsSwitch<Adapter>() {
			@Override
			public Adapter caseEntity(Entity object) {
				return createEntityAdapter();
			}
			@Override
			public Adapter caseDesignUnit(DesignUnit object) {
				return createDesignUnitAdapter();
			}
			@Override
			public Adapter caseArchitecture(Architecture object) {
				return createArchitectureAdapter();
			}
			@Override
			public Adapter caseElement(Element object) {
				return createElementAdapter();
			}
			@Override
			public Adapter caseComponent(Component object) {
				return createComponentAdapter();
			}
			@Override
			public Adapter casePackage(fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Package object) {
				return createPackageAdapter();
			}
			@Override
			public Adapter caseVAModel(VAModel object) {
				return createVAModelAdapter();
			}
			@Override
			public Adapter caseComment(Comment object) {
				return createCommentAdapter();
			}
			@Override
			public Adapter caseProperty(Property object) {
				return createPropertyAdapter();
			}
			@Override
			public Adapter casePort(Port object) {
				return createPortAdapter();
			}
			@Override
			public Adapter caseTerminal(Terminal object) {
				return createTerminalAdapter();
			}
			@Override
			public Adapter caseSignal(Signal object) {
				return createSignalAdapter();
			}
			@Override
			public Adapter caseQuantityPort(QuantityPort object) {
				return createQuantityPortAdapter();
			}
			@Override
			public Adapter caseType(Type object) {
				return createTypeAdapter();
			}
			@Override
			public Adapter caseConstant(Constant object) {
				return createConstantAdapter();
			}
			@Override
			public Adapter caseGeneric(Generic object) {
				return createGenericAdapter();
			}
			@Override
			public Adapter caseLibraryForVhdlAms(LibraryForVhdlAms object) {
				return createLibraryForVhdlAmsAdapter();
			}
			@Override
			public Adapter caseStatement(Statement object) {
				return createStatementAdapter();
			}
			@Override
			public Adapter caseComponentInstanciation(ComponentInstanciation object) {
				return createComponentInstanciationAdapter();
			}
			@Override
			public Adapter casePortMap(PortMap object) {
				return createPortMapAdapter();
			}
			@Override
			public Adapter caseLibrary(Library object) {
				return createLibraryAdapter();
			}
			@Override
			public Adapter caseUse(Use object) {
				return createUseAdapter();
			}
			@Override
			public Adapter caseNature(Nature object) {
				return createNatureAdapter();
			}
			@Override
			public Adapter caseQuantity(Quantity object) {
				return createQuantityAdapter();
			}
			@Override
			public Adapter caseBranchQuantity(BranchQuantity object) {
				return createBranchQuantityAdapter();
			}
			@Override
			public Adapter caseVariable(Variable object) {
				return createVariableAdapter();
			}
			@Override
			public Adapter caseFunction(Function object) {
				return createFunctionAdapter();
			}
			@Override
			public Adapter caseParameter(Parameter object) {
				return createParameterAdapter();
			}
			@Override
			public Adapter caseSequentialStatement(SequentialStatement object) {
				return createSequentialStatementAdapter();
			}
			@Override
			public Adapter caseMap(Map object) {
				return createMapAdapter();
			}
			@Override
			public Adapter caseGenericMap(GenericMap object) {
				return createGenericMapAdapter();
			}
			@Override
			public Adapter caseExpression(Expression object) {
				return createExpressionAdapter();
			}
			@Override
			public Adapter caseConcurrentialStatement(ConcurrentialStatement object) {
				return createConcurrentialStatementAdapter();
			}
			@Override
			public Adapter caseEquation(Equation object) {
				return createEquationAdapter();
			}
			@Override
			public Adapter caseProcess(fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Process object) {
				return createProcessAdapter();
			}
			@Override
			public Adapter caseIfThenStatement(IfThenStatement object) {
				return createIfThenStatementAdapter();
			}
			@Override
			public Adapter caseElseStatement(ElseStatement object) {
				return createElseStatementAdapter();
			}
			@Override
			public Adapter caseForStatement(ForStatement object) {
				return createForStatementAdapter();
			}
			@Override
			public Adapter caseStatements(Statements object) {
				return createStatementsAdapter();
			}
			@Override
			public Adapter caseProcessVariable(ProcessVariable object) {
				return createProcessVariableAdapter();
			}
			@Override
			public Adapter defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target) {
		return modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Entity <em>Entity</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Entity
	 * @generated
	 */
	public Adapter createEntityAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.DesignUnit <em>Design Unit</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.DesignUnit
	 * @generated
	 */
	public Adapter createDesignUnitAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Architecture <em>Architecture</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Architecture
	 * @generated
	 */
	public Adapter createArchitectureAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Element <em>Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Element
	 * @generated
	 */
	public Adapter createElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Component <em>Component</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Component
	 * @generated
	 */
	public Adapter createComponentAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Package <em>Package</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Package
	 * @generated
	 */
	public Adapter createPackageAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.VAModel <em>VA Model</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.VAModel
	 * @generated
	 */
	public Adapter createVAModelAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Comment <em>Comment</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Comment
	 * @generated
	 */
	public Adapter createCommentAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Property <em>Property</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Property
	 * @generated
	 */
	public Adapter createPropertyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Port <em>Port</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Port
	 * @generated
	 */
	public Adapter createPortAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Terminal <em>Terminal</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Terminal
	 * @generated
	 */
	public Adapter createTerminalAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Signal <em>Signal</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Signal
	 * @generated
	 */
	public Adapter createSignalAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.QuantityPort <em>Quantity Port</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.QuantityPort
	 * @generated
	 */
	public Adapter createQuantityPortAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Type <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Type
	 * @generated
	 */
	public Adapter createTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Constant <em>Constant</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Constant
	 * @generated
	 */
	public Adapter createConstantAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Generic <em>Generic</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Generic
	 * @generated
	 */
	public Adapter createGenericAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.LibraryForVhdlAms <em>Library For Vhdl Ams</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.LibraryForVhdlAms
	 * @generated
	 */
	public Adapter createLibraryForVhdlAmsAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Statement <em>Statement</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Statement
	 * @generated
	 */
	public Adapter createStatementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.ComponentInstanciation <em>Component Instanciation</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.ComponentInstanciation
	 * @generated
	 */
	public Adapter createComponentInstanciationAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.PortMap <em>Port Map</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.PortMap
	 * @generated
	 */
	public Adapter createPortMapAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Library <em>Library</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Library
	 * @generated
	 */
	public Adapter createLibraryAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Use <em>Use</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Use
	 * @generated
	 */
	public Adapter createUseAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Nature <em>Nature</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Nature
	 * @generated
	 */
	public Adapter createNatureAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Quantity <em>Quantity</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Quantity
	 * @generated
	 */
	public Adapter createQuantityAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.BranchQuantity <em>Branch Quantity</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.BranchQuantity
	 * @generated
	 */
	public Adapter createBranchQuantityAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Variable <em>Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Variable
	 * @generated
	 */
	public Adapter createVariableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Function <em>Function</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Function
	 * @generated
	 */
	public Adapter createFunctionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Parameter <em>Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Parameter
	 * @generated
	 */
	public Adapter createParameterAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.SequentialStatement <em>Sequential Statement</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.SequentialStatement
	 * @generated
	 */
	public Adapter createSequentialStatementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Map <em>Map</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Map
	 * @generated
	 */
	public Adapter createMapAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.GenericMap <em>Generic Map</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.GenericMap
	 * @generated
	 */
	public Adapter createGenericMapAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Expression <em>Expression</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Expression
	 * @generated
	 */
	public Adapter createExpressionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.ConcurrentialStatement <em>Concurrential Statement</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.ConcurrentialStatement
	 * @generated
	 */
	public Adapter createConcurrentialStatementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Equation <em>Equation</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Equation
	 * @generated
	 */
	public Adapter createEquationAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Process <em>Process</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Process
	 * @generated
	 */
	public Adapter createProcessAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.IfThenStatement <em>If Then Statement</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.IfThenStatement
	 * @generated
	 */
	public Adapter createIfThenStatementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.ElseStatement <em>Else Statement</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.ElseStatement
	 * @generated
	 */
	public Adapter createElseStatementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.ForStatement <em>For Statement</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.ForStatement
	 * @generated
	 */
	public Adapter createForStatementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Statements <em>Statements</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.Statements
	 * @generated
	 */
	public Adapter createStatementsAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.ProcessVariable <em>Process Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see fr.femtost.disc.eclipse.vhdlamsmetamodel.vhdlams.ProcessVariable
	 * @generated
	 */
	public Adapter createProcessVariableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //VhdlamsAdapterFactory
